## shaderc 2022.2

=== debian/changelog ===
shaderc (2022.2-1) unstable; urgency=medium

  * Initial release. (Closes: #890472)

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 04 Sep 2022 22:19:40 +0200
