## shaderc 2022.4

=== debian/changelog ===
shaderc (2022.4-1) unstable; urgency=medium

  * New upstream release
    - Closes: #1027045
    - Refresh debian/patches/rename-libshaderc.patch
    - Fix test glslc to ignore version-specific content

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 26 Dec 2022 23:02:13 +0100
