## shaderc 2023.2

=== debian/changelog ===
shaderc (2023.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches (probably required by the raise of cmake required version)
  * Bump Standards-Version to 4.6.2: no change needed

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 22 Jan 2023 13:21:24 +0100
