=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  asciidoctor,
  glslang-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
