=== debian/changelog ===
shaderc (2023.8-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:09 +1100

shaderc (2023.8-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Add patch to fix name of Python interpreter
    - Fix FTBFS (Closes: #1058397)
    - Refresh d/glslc.lintian-overrides
  * Fix linking of libshaderc.so, add autopkgtest (Closes: #1029939)
  * Add obj-x86_64-linux-gnu to d/clean
  * Use printf instead of echo to generate build-version.inc. Thanks to
    Vagrant Cascadian! (Closes: #1035324)
  * Build-Depends on pkgconf instead of pkg-config
  * d/copyright: update copyright year
  * Add Built-Using since we are linking against static libraries

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 09 Mar 2024 22:52:47 +0100
