=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,
- pkg-config,
+ pkgconf,
  cmake,
  asciidoctor,
  glslang-dev,
@@ -21,6 +22,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:
@@ -42,6 +44,7 @@
  ${misc:Depends},
  glslang-dev,
  spirv-headers,
+Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:
@@ -60,6 +63,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
  its library aims to provide:
