=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shaderc-$1.tar.gz%" \
   https://github.com/google/shaderc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
