## shaderc 2024.1

=== debian/changelog ===
shaderc (2024.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patch use-system-thirdparties.patch and drop patches applied
      upstream
  * Add "Forwarded: not-needed" to d/patches/rename-libshaderc.patch
  * Bump Standards-Version to 4.7.0: no change needed
  * Refresh d/copyright

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 28 May 2024 18:53:56 +0200
