## shaderc 2024.2

=== debian/changelog ===
shaderc (2024.2-1) unstable; urgency=medium

  * New upstream release
  * Fix lintian-override rule

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 18 Sep 2024 21:40:33 +0200
