## shaderc 2024.3

=== debian/changelog ===
shaderc (2024.3-1) unstable; urgency=medium

  * New upstream release
  * Fix (again) lintian-override rule
    - On my system, it says "can't break", on udd.d.org, it says "cannot break"

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 28 Sep 2024 20:06:18 +0200
