=== debian/changelog ===
shaderc (2024.4-1) unstable; urgency=medium

  * New upstream release

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 18 Jan 2025 23:33:18 +0100
