=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  asciidoctor,
  glslang-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
