=== debian/tests/control ===
Tests: glslc
Depends: glslc, file

Tests: lib
Depends: libshaderc-dev, @builddeps@
