## shaderc 2025.1

=== debian/changelog ===
shaderc (2025.1-1) unstable; urgency=medium

  * New upstream release
  * Improve d/tests/lib. Thanks to Simon McVittie! Closes: #1095954
  * Bump Standards-Version to 4.7.2: no change needed

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 15 Mar 2025 21:40:53 +0100
