## shaderc 2025.2

=== debian/changelog ===
shaderc (2025.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 16:22:06 -0700

shaderc (2025.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update copyright year

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 29 Apr 2025 22:55:06 +0200
