=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- spirv-headers,
- pkgconf,
- cmake,
- asciidoctor,
- glslang-dev,
- ruby-pygments.rb,
-Standards-Version: 4.7.0
+Build-Depends: asciidoctor,
+               cmake,
+               debhelper-compat (= 13),
+               glslang-dev,
+               pkgconf,
+               ruby-pygments.rb,
+               spirv-headers
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
@@ -20,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -38,11 +38,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libshaderc1 (= ${binary:Version}),
- ${misc:Depends},
- glslang-dev,
- spirv-headers,
+Depends: glslang-dev,
+         libshaderc1 (= ${binary:Version}),
+         spirv-headers,
+         ${misc:Depends}
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -59,9 +58,7 @@
 Package: libshaderc1
 Architecture: any
 Multi-Arch: same
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
