=== debian/tests/control ===
Tests: glslc
Depends: file, glslc

Tests: lib
Depends: libshaderc-dev, @builddeps@
