=== debian/changelog ===
shaderc (2025.3-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 31 Aug 2025 23:18:56 +0200
