=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: shaderc
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Rules-Requires-Root: no
-Build-Depends: asciidoctor,
-               cmake,
-               debhelper-compat (= 13),
-               glslang-dev,
-               pkgconf,
-               ruby-pygments.rb,
-               spirv-headers
+Build-Depends:
+ debhelper-compat (= 13),
+ spirv-headers,
+ pkgconf,
+ cmake,
+ asciidoctor <!cross>,
+ glslang-dev,
+ ruby-pygments.rb <!cross>,
+ python3:any,
 Standards-Version: 4.7.2
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
@@ -20,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Built-Using: ${built-using}
 Description: Command line compiler for GLSL/HLSL to SPIR-V
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -38,10 +39,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: glslang-dev,
-         libshaderc1 (= ${binary:Version}),
-         spirv-headers,
-         ${misc:Depends}
+Depends:
+ libshaderc1 (= ${binary:Version}),
+ ${misc:Depends},
+ glslang-dev,
+ spirv-headers,
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - static libraries and headers
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
@@ -58,7 +60,9 @@
 Package: libshaderc1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Built-Using: ${built-using}
 Description: Library API for accessing glslc functionality - shared libraries
  glslc wraps around core functionality in glslang and SPIRV-Tools. glslc and
