## shaderc 2025.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-cmake_minimum_required(VERSION 3.17.2)
+cmake_minimum_required(VERSION 3.22.1)
 
 project(shaderc)
 enable_testing()
@@ -49,6 +49,16 @@
   message(STATUS "Configuring Shaderc to build examples.")
 else()
   message(STATUS "Configuring Shaderc to avoid building examples.")
+endif()
+
+option(SHADERC_SKIP_EXECUTABLES "Skip building executables." ${SHADERC_SKIP_EXECUTABLES})
+if(NOT ${SHADERC_SKIP_EXECUTABLES})
+  set(SHADERC_ENABLE_EXECUTABLES ON)
+endif()
+if (${SHADERC_ENABLE_EXECUTABLES})
+  message(STATUS "Configuring Shaderc to build executables.")
+else()
+  message(STATUS "Configuring Shaderc to avoid building executables.")
 endif()
 
 option(SHADERC_SKIP_COPYRIGHT_CHECK "Skip copyright check" ${SHADERC_SKIP_COPYRIGHT_CHECK})
@@ -91,22 +101,18 @@
     add_compile_options("-Wextra-semi")
 endif()
 
-if(${CMAKE_VERSION} VERSION_LESS_EQUAL "3.12")
-  find_package(PythonInterp 3 REQUIRED)
-else ()
-  find_package(Python COMPONENTS Interpreter REQUIRED)
-endif ()
+find_package(Python COMPONENTS Interpreter REQUIRED)
 
 if (SHADERC_ENABLE_COPYRIGHT_CHECK)
   add_custom_target(check-copyright ALL
-    ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
+    ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
     --check
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     COMMENT "Check copyright")
 endif()
 
 add_custom_target(add-copyright
-  ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
+  ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/utils/add_copyright.py
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
   COMMENT "Add copyright")
 
@@ -134,7 +140,7 @@
 endif()
 
 add_custom_target(build-version
-  ${PYTHON_EXECUTABLE}
+  ${Python_EXECUTABLE}
   ${CMAKE_CURRENT_SOURCE_DIR}/utils/update_build_version.py
   ${shaderc_SOURCE_DIR} ${spirv-tools_SOURCE_DIR} ${glslang_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/build-version.inc
   COMMENT "Update build-version.inc in the Shaderc build directory (if necessary).")
