=== glslc/CMakeLists.txt ===
--- 
+++ 
@@ -68,9 +68,11 @@
 shaderc_add_asciidoc(glslc_doc_README README)
 
 if(SHADERC_ENABLE_INSTALL)
-  install(TARGETS glslc_exe
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR})
+  if(SHADERC_ENABLE_EXECUTABLES)
+    install(TARGETS glslc_exe
+      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+      BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR})
+  endif(SHADERC_ENABLE_EXECUTABLES)
 endif(SHADERC_ENABLE_INSTALL)
 
 add_subdirectory(test)
