=== debian/changelog ===
shaderc (2025.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: convert to format version 5
  * d/control: remove now spurious Rules-Requires-root: no

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 13 Oct 2025 21:12:08 +0200
