=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,
