=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,11 @@
 	dh_auto_build
 
 override_dh_installman:
+ifneq (, $(shell command -v asciidoctor 2> /dev/null))
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1/
 	asciidoctor -b manpage glslc/README.asciidoc -o $(CURDIR)/debian/tmp/usr/share/man/man1/glslc.1
 	dh_installman
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -34,8 +36,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V"built-using=$(BUILT_USING)"
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
