=== debian/watch ===
Version: 5

Template: Github
Owner: google
Project: shaderc
