## shaderc 2025.5

=== debian/changelog ===
shaderc (2025.5-1) unstable; urgency=medium

  * New upstream release
  * Build-depends on spirv-tools-dev
    - Static libs have been moved there from spirv-tools
    - Closes: #1121711

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Mon, 01 Dec 2025 21:54:41 +0100
