=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  spirv-headers,
+ spirv-tools-dev,
  pkgconf,
  cmake,
  asciidoctor <!cross>,
