## shaderc 2026.1

=== debian/changelog ===
shaderc (2026.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.3:
    + Remove `Priority: optional` in d/control, now by default
  * Update year in d/copyright

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 28 Jan 2026 22:13:07 +0100
