=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shaderc
 Section: libs
-Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  glslang-dev,
  ruby-pygments.rb <!cross>,
  python3:any,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/google/shaderc/
 Vcs-Browser: https://salsa.debian.org/debian/shaderc
 Vcs-Git: https://salsa.debian.org/debian/shaderc.git
